Page MenuHomePhabricator

VisualEditor: Fatal "SCRIPT16389: Unspecified error" error in IE9
Closed, ResolvedPublic1 Story Points

Description

Turning on debugging in IE9 and then hitting "Edit" ends up with this in the console:

SCRIPT16389: Unspecified error. 
load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdata%2Cicons-
vector%7Cext.visualEditor.viewPageTarget.icons-vector%7Crangy&skin=vector&
version=20140408T180250Z&*, line 642 character 159

The line that is highlighted (running with "Format JavaScript" checked) is:

this.nativeSelection.addRange(getNativeRange(range).cloneRange());

Version: unspecified
Severity: normal

Details

Reference
bz63697

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:07 AM
bzimport set Reference to bz63697.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2016, 5:24 PM
Esanders closed this task as Resolved.Apr 20 2016, 10:33 AM
Esanders claimed this task.
Esanders added a subscriber: Esanders.

IE9 loads fine now, just not in debug mode.

Jdforrester-WMF set the point value for this task to 1.Apr 25 2016, 3:15 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Freezer to TR0: Interrupt on the VisualEditor board.